fs diskfree                AFS Commands             fs diskfree


NAME

   fs diskfree -- show information about the partition housing

                       a directory/file.


                                     +
   fs diskfree [-path <dir/file path> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                             +
   fs df  [-p <dir/file path> ]  [-h]

DESCRIPTION

   Provides information about the  partition  that  houses  the
   volume  containing the specified directory or file.  See the
   OUTPUT section for a complete explanation of the information
   provided.  To learn more about the volume itself, use the fs
   examine command.

ARGUMENTS

   -path specifies  a  file  or  directory  about  whose   host
         partition information is desired.  If the issuer omits
         this  argument,  the  current  working  directory   is
         assumed.

   -help prints the online help entry for this command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  3.1  in  the  Reference  Manual for more
         details.

OUTPUT

   Note: The numbers that appear in this output may not  always
   agree  with  the  corresponding numbers in the output of the
   standard UNIX df command.  The main reason is  that  the  df
   output  reflects  the  state  of partitions exactly when the
   command is issued.  The numbers in this command's output may
   be  up to 5 minutes old, as the Cache Manager polls the File
   Server for partition information at that frequency.  Another
   potential  difference:  the  partition  size reported by the
   UNIX df command includes some reserved space that  does  not
   show  up  in this report of partition size, and so is likely
   to be about 10% larger.

   The output reports  the  following  information  about  each
   partition that houses a specified directory or file:

      - the name of the volume that contains the directory
        or file

      - the total size in kilobyte blocks of the partition
        that stores the named volume

      - the   number   of  kilobyte  blocks  used  on  the
        partition

      - the number of kilobyte  blocks  available  on  the



        partition

      - the percentage of the partition's total space used

EXAMPLES

   The following shows the output for the partition housing the
   volume user.smith in the Transarc Corporation cell:

       % fs df /afs/transarc.com/usr/smith
       Volume Name    kbytes  used     avail     %used
       user.smith     333305  286710   46595       86%

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   fs examine
